User
Handle request to list all users on the panel. Returns a JSON-API representation of a collection of users including any defined relations passed in the request
get
Responses
200Success
application/json
itemsanyOptional
403
Authorization error
application/json
422
Validation error
application/json
get/users
GET /api/application/users HTTP/1.1
Host: reviactyl.test
Accept: */*
[]Store a new user on the system. Returns the created user and an HTTP/201 header on successful creation
post
Body
emailstring · email · min: 1 · max: 191Required
external_idstring · max: 191 · nullableOptional
usernamestring · min: 1 · max: 191Required
passwordstring · nullableOptional
root_adminbooleanOptional
languagestring · enumOptionalPossible values:
first_namestring · min: 1 · max: 191Required
last_namestring · min: 1 · max: 191Required
Responses
200Success
application/json
objectOptional
403
Authorization error
application/json
422
Validation error
application/json
post/users
POST /api/application/users HTTP/1.1
Host: reviactyl.test
Content-Type: application/json
Accept: */*
Content-Length: 152
{
"email": "name@gmail.com",
"external_id": null,
"username": "text",
"password": null,
"root_admin": true,
"language": "ar",
"first_name": "text",
"last_name": "text"
}{}Path parameters
userintegerRequired
The user ID
Responses
200Success
application/json
itemsanyOptional
403
Authorization error
application/json
404
Not found
application/json
422
Validation error
application/json
get/users/{user}
GET /api/application/users/{user} HTTP/1.1
Host: reviactyl.test
Accept: */*
[]Handle a request to delete a user from the Panel. Returns a HTTP/204 response on successful deletion
delete
Path parameters
userintegerRequired
The user ID
Responses
204
No content
application/json
string[]Optional
403
Authorization error
application/json
404
Not found
application/json
422
Validation error
application/json
delete/users/{user}
DELETE /api/application/users/{user} HTTP/1.1
Host: reviactyl.test
Accept: */*
[
"text"
]Update an existing user on the system and return the response. Returns the updated user model response on success. Supports handling of token revocation errors when switching a user from an admin to a normal user
patch
Revocation errors are returned under the 'revocation_errors' key in the response meta. If there are no errors this is an empty array.
Path parameters
userintegerRequired
The user ID
Responses
200Success
application/json
itemsanyOptional
403
Authorization error
application/json
404
Not found
application/json
422
Validation error
application/json
patch/users/{user}
PATCH /api/application/users/{user} HTTP/1.1
Host: reviactyl.test
Accept: */*
[]Last updated
Was this helpful?

